using System;
using System.Runtime.CompilerServices;

namespace VirtualCanvasTestCode.Interfaces
{
    public interface ICustomBindableBase
    {
        void OnPropertyChanged([CallerMemberName] String propertyName = null);
        void NotifyPropertyChanged(String propertyName);
        Boolean SetProperty<T>(ref T storage, T value, [CallerMemberName] String propertyName = null);
        void SetFieldValue(String fieldName, Object classObj, Double value);
        void SetFieldValue(String fieldName, Object classObj, String value);
        Object GetThisPropertyValue(String propertyName);
    }
}